"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsistentPackageVersionValidator = void 0;
/**
 * Checks for the same package version to be used accross all package.json files
 */
var ConsistentPackageVersionValidator = /** @class */ (function () {
    function ConsistentPackageVersionValidator() {
        this.depFileMap = {};
        console.log("Validating  Packages");
    }
    ConsistentPackageVersionValidator.prototype.addDependency = function (dependency, version, filename) {
        if (!(dependency in this.depFileMap)) {
            this.depFileMap[dependency] = {};
        }
        if (!(version in this.depFileMap[dependency])) {
            this.depFileMap[dependency][version] = [];
        }
        this.depFileMap[dependency][version].push(filename);
    };
    ConsistentPackageVersionValidator.prototype.validate = function () {
        var _this = this;
        var isValid = true;
        Object.keys(this.depFileMap).forEach(function (dep) {
            if (Object.keys(_this.depFileMap[dep]).length > 1) {
                if (isValid) {
                    console.log("The following dependencies have discrepancies, please check them");
                    isValid = false;
                }
                console.log(dep, _this.depFileMap[dep]);
            }
        });
        return isValid;
    };
    return ConsistentPackageVersionValidator;
}());
exports.ConsistentPackageVersionValidator = ConsistentPackageVersionValidator;
