"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DuplicatePackageValidator = void 0;
/**
 * Checks that every package is declared once.
 */
var DuplicatePackageValidator = /** @class */ (function () {
    function DuplicatePackageValidator() {
        this.depFileMap = {};
        console.log("Validating Duplicate Packages in same file");
    }
    DuplicatePackageValidator.prototype.addDependency = function (dependency, version, filename) {
        if (!(filename in this.depFileMap)) {
            this.depFileMap[filename] = {};
        }
        if (!(dependency in this.depFileMap[filename])) {
            this.depFileMap[filename][dependency] = 1;
        }
        else {
            this.depFileMap[filename][dependency] += 1;
        }
    };
    DuplicatePackageValidator.prototype.validate = function () {
        var _this = this;
        var isValid = true;
        Object.keys(this.depFileMap).forEach(function (filename) {
            Object.keys(_this.depFileMap[filename]).forEach(function (dep) {
                if (_this.depFileMap[filename][dep] > 1) {
                    if (isValid) {
                        console.log("The following dependencies appear more than once, please check them");
                        isValid = false;
                    }
                    console.log(dep, _this.depFileMap[dep]);
                }
            });
        });
        return isValid;
    };
    return DuplicatePackageValidator;
}());
exports.DuplicatePackageValidator = DuplicatePackageValidator;
