"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExactPackageVersionValidator = void 0;
/**
 * Checks that all versions are exact, meaning no ~ or ^
 */
var ExactPackageVersionValidator = /** @class */ (function () {
    function ExactPackageVersionValidator() {
        this.depFileMap = {};
        console.log("Validating  Packages");
    }
    ExactPackageVersionValidator.prototype.addDependency = function (dependency, version, filename) {
        if (version.startsWith("^") || version.startsWith("~")) {
            this.depFileMap[dependency] = { dependency: dependency, version: version, filename: filename };
        }
    };
    ExactPackageVersionValidator.prototype.validate = function () {
        var _this = this;
        var isValid = true;
        Object.keys(this.depFileMap).forEach(function (dep) {
            if (isValid) {
                console.log("The following dependencies are not exact, please check them");
                isValid = false;
            }
            console.log(dep, _this.depFileMap[dep]);
        });
        return isValid;
    };
    return ExactPackageVersionValidator;
}());
exports.ExactPackageVersionValidator = ExactPackageVersionValidator;
